<?xml version="1.0"?>

<?xml-stylesheet href="chrome://communicator/skin/" type="text/css"?>

<!DOCTYPE dialog SYSTEM "chrome://gproxy/locale/locale.dtd">

<dialog buttons="accept, cancel"
        id="gproxyCookieDialog"
        ondialogaccept="return gproxy_saveProxy()"
        ondialogcancel="gproxy_openerFocus(); return true;"
        onload="gproxy_initVals();"
        title="&add.title;"
        xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">
  
  <script type="application/x-javascript" src="chrome://gproxy/content/globals.js"></script>
  <script type="application/x-javascript" src="chrome://gproxy/content/datasource.js"></script>
    <script type="application/x-javascript" src="chrome://gproxy/content/dialogs/editcommon.js"></script>
    <script type="application/x-javascript" src="chrome://gproxy/content/dialogs/editproxy.js"></script>
  
  <hbox>
    <label value="&add.proxyLabel;" id="proxy-name-label" />
    <textbox id="proxy-name" size="30" flex="0" />
  </hbox>
  <groupbox>
    <radiogroup id="networkProxyType" value="1" persist="value">
      <radio value="1" label="&add.option.manual;" oncommand="gproxy_enableOptions();" id="type-manual-radio" />
    
      <grid class="indent" flex="1">
        <columns>
          <column/>
          <column flex="1"/>
        </columns>
      
        <rows>
          <row align="center">
            <hbox align="center" pack="end">
              <label value="&add.http.proxy.label;" accesskey="&add.http.proxy.key;" control="networkProxyHTTP"/>
            </hbox>
            <hbox align="center">
              <textbox id="networkProxyHTTP" flex="1" oninput="gproxy_copySetting();"/> 
              <label value="&add.port.label;" control="networkProxyHTTP_Port"/>
              <textbox id="networkProxyHTTP_Port" size="5" oninput="gproxy_copySetting();"/>
            </hbox>
          </row>

<row align="center">
<hbox align="center" pack="end">
<label value=""/>
</hbox>
<hbox align="center">
<checkbox id="networkProxyHTTPShare" label ="&add.sharing.proxy.label;" checked="false" oncommand="gproxy_enableShareSettingSelect();"/>
</hbox>
</row>

          <row align="center">
            <hbox align="center" pack="end">
              <label value="&add.ssl.proxy.label;" accesskey="&add.ssl.proxy.key;" control="networkProxySSL"/>
            </hbox>
            <hbox align="center">
              <textbox id="networkProxySSL" flex="1"/>
              <label value="&add.port.label;" control="networkProxySSL_Port"/>
              <textbox id="networkProxySSL_Port" size="5"/>
            </hbox>
          </row>
          <row align="center" id="ftp_row">
            <hbox align="center" pack="end">
              <label value="&add.ftp.proxy.label;" accesskey="&add.ftp.proxy.key;" control="networkProxyFTP"/>
            </hbox>
            <hbox align="center">
              <textbox id="networkProxyFTP" flex="1"/>
              <label value="&add.port.label;" control="networkProxyFTP_Port"/>
              <textbox id="networkProxyFTP_Port" size="5"/>
            </hbox>
          </row>
          <row align="center" id="gopher_row">
            <hbox align="center" pack="end">
              <label value="&add.gopher.proxy.label;" accesskey="&add.gopher.proxy.key;" control="networkProxyGopher"/>
            </hbox>
            <hbox align="center">
              <textbox id="networkProxyGopher" flex="1"/>
              <label value="&add.port.label;" control="networkProxyGopher_Port"/>
              <textbox id="networkProxyGopher_Port" size="5"/>
            </hbox>
          </row>
          <row align="center">
            <hbox align="center" pack="end">
              <label value="&add.socks.proxy.label;" accesskey="&add.socks.proxy.key;" control="networkProxySOCKS"/>
            </hbox>
            <hbox align="center">
              <textbox id="networkProxySOCKS" flex="1"/>
              <label value="&add.port.label;" control="networkProxySOCKS_Port"/>
              <textbox id="networkProxySOCKS_Port" size="5"/>
            </hbox>
          </row>
          <row>
            <spacer/>
            <radiogroup id="networkProxySOCKSVersion" orient="horizontal">
              <radio id="networkProxySOCKSVersion4" value="4" label="&add.socks.option.v4;" />
              <radio id="networkProxySOCKSVersion5" value="5" label="&add.socks.option.v5;" />
            </radiogroup>
          </row>
        
          <row align="center" id="none_row"> 
            <hbox align="center" pack="end">
              <label value="&add.none.label;" accesskey="&add.none.key;" control="networkProxyNone"/>
            </hbox>
            <textbox id="networkProxyNone" value="localhost, 127.0.0.1" />
          </row>
          <row id="none_example_row">
            <spacer/>
            <label value="&add.none.example;" control="networkProxyNone"/>
          </row>
        </rows>
      </grid>
      <radio value="2" label="&add.option.auto;" oncommand="gproxy_enableOptions();" id="type-auto-radio" />
      <textbox id="networkProxyAutoconfigURL" size="50" flex="1" disabled="true" />
    </radiogroup>
  </groupbox>
</dialog>